+ Responder ao Tópico



  1. Olá pessoal tudo bem?

    Eu to com um probleminha aqui no apt-get do Debian, instalei o postgresql, ele aparece na lista de pacotes instalados, so que eu nao consigo desinstalar ele:

    Código :
    Package: postgresql
    Versions:
    7.4.7-6sarge1(/var/lib/apt/lists/linorg.usp.br_debian_dists_stable_main_binary-
     
    Reverse Depends:
      postgresql-common,postgresql 7.5
      postgresql-common,postgresql 7.5
      postgresql-8.0,postgresql 7.5
      qttudo,postgresql 7.0.0
      webmin-virtual-server,postgresql
      webmin-postgresql,postgresql
      webcalendar,postgresql
      twig,postgresql
      tutos2,postgresql
      tutos,postgresql
      sympa,postgresql
      sql-ledger,postgresql
      request-tracker3.4,postgresql 7.2
      request-tracker3,postgresql 7.2
      python2.4-4suite,postgresql
      python2.3-4suite,postgresql
      python2.2-4suite,postgresql
      postgresql-plruby,postgresql 7.5
      postgresql-plruby,postgresql 7.4
      postgresql-plr,postgresql
      postgresql-dev,postgresql 7.3.1
      postgresql-dev,postgresql 7.4
      postgresql-dev,postgresql
      postgresql-contrib,postgresql 7.4
      postgresql-client,postgresql 7.4
      postgresql-client,postgresql 7.4.6-5
      phppgadmin,postgresql
      phpgroupware,postgresql
      phpbb2,postgresql
      pgmonitor,postgresql 7.1
      pgaccess,postgresql
      otrs,postgresql
      odontolinux,postgresql 6.4.2-1
      moodle,postgresql
      mnogosearch-pgsql,postgresql
      libpq3,postgresql 7.4.6-7
      libpgtcl,postgresql 7.4
      libpgtcl,postgresql 7.4
      libpgjava,postgresql 7.1.3
      libpg-perl,postgresql 7.3rel-5
      libapache-mod-acct-pgsql,postgresql
      imp3,postgresql  
      horde2,postgresql
      gnustep-dl2,postgresql
      gforge-db-postgresql,postgresql 7.1.2
      facturalux,postgresql   
      ezpublish-src,postgresql
      drupal,postgresql
      dcl,postgresql 
      dak,postgresql   
      dacode,postgresql
      cyphesis-cpp,postgresql 7.3
      bacula-director-pgsql,postgresql 7.4
    Dependencies: 
    7.4.7-6sarge1 - libc6 (2 2.3.2.ds1-21) libcomerr2 (2 1.33-3) libkrb53 (2 1.3.2)
    Provides: 
    7.4.7-6sarge1 -   
    Reverse Provides:


    So que ao dar um apt-get remove postgres ele faz o seguinte

    Código :
    fernando:/var/cache/apt/archives# apt-get remove postgresql       
    Lendo Lista de Pacotes... Pronto
    Construindo Árvore de Dependências... Pronto
    O pacote postgresql não está instalado, então não será removido
    0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
    fernando:/var/cache/apt/archives#

  2. Instale-o novamente, e dai exclua-o com a opção --purge

    Código :
    apt-get install postgresql
    apt-get remove --purge postgresql

    Com esta opção ele desinstala, e exclui as configurações do postgresql.

    Com certeza algum problema que deu quando você estava instalando, ou desinstalando.

    Se a instalação pelo apt-get falhar, baixe o .deb e o instale com a opção --force. Para mais informações dê uma olhada em dpkg --force-help

    Se não funcionar, poste ai que tentamos outras soluções.



  3. consegui com o dpkg -i --force-all

    Valeu






Tópicos Similares

  1. Respostas: 5
    Último Post: 08-09-2006, 10:09
  2. apt-get nao installa
    Por cvr no fórum Sistemas Operacionais
    Respostas: 1
    Último Post: 10-06-2006, 08:43
  3. apt-get não funciona
    Por Osvaldo.affonso no fórum Sistemas Operacionais
    Respostas: 5
    Último Post: 22-04-2006, 10:36
  4. APT-GET nao instalada - APT::Force-LoopBreak - RESOLVIDO
    Por spyderlinux no fórum Servidores de Rede
    Respostas: 2
    Último Post: 03-03-2006, 23:26
  5. apt-get não passa pelo Squid
    Por rato16br no fórum Servidores de Rede
    Respostas: 2
    Último Post: 20-08-2004, 09:05

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L